function [result] = LeftHandSide(x,A,B,L,U,alpha_nodes,alpha_weights,mesh_points_x)

result = x;
parfor j = 1:length(alpha_nodes) 
    tempresult = B{j} * x;
    % [ tempresult,~,~,iteration_temp]= gmres(A{j},tempresult,20,10^(-5),5000,L{j},U{j});
     tempresult = A{j}\tempresult; 
    tempresult = - alpha_weights(j) .* exp(1i * alpha_nodes(j) * mesh_points_x).'.* tempresult;
    
    result = result + tempresult;
end


end